namespace Wizard;

public class GatheringInviteTask : BaseTask
{
	public class GatheringInviteTaskParam : BaseParam
	{
		public string target_viewer_id;
	}

	public GatheringInviteTask()
	{
		base.type = ApiType.Type.GatheringInvite;
	}

	public void SetParameter(string targetViewerId)
	{
		GatheringInviteTaskParam gatheringInviteTaskParam = new GatheringInviteTaskParam();
		gatheringInviteTaskParam.target_viewer_id = targetViewerId;
		base.Params = gatheringInviteTaskParam;
	}
}
